SedaModel (Mule ESB 2.2.1 API)
Keywords: org.mule.model.seda.SedaModel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.model.seda
Class SedaModel

    java.lang.Object
      org.mule.model.AbstractModel
          org.mule.model.seda.SedaModel

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, Model, NamedObject

    public class SedaModel

extends AbstractModel

A mule service service model that uses Seda principals to achieve high throughput by Quing events for compoonents and processing them concurrently.

Field Summary
`protected PoolingProfile` | `poolingProfile` the pooling configuration used when initialising the service described by this descriptor.
`protected QueueProfile` | `queueProfile` The queuing profile for events received for this service

Fields inherited from class org.mule.model.AbstractModel
`DEFAULT_MODEL_NAME, logger, muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`SedaModel()`

Method Summary
`PoolingProfile` | `getPoolingProfile()`
`QueueProfile` | `getQueueProfile()`
`int` | `getQueueTimeout()`
`String` | `getType()` Returns the model type name.
`void` | `initialise()` Method used to perform any initialisation work.
`void` | `setPoolingProfile(PoolingProfile poolingProfile)`
`void` | `setQueueProfile(QueueProfile queueProfile)`
`void` | `setQueueTimeout(int queueTimeout)`

Methods inherited from class org.mule.model.AbstractModel
`dispose, getEntryPointResolverSet, getExceptionListener, getLifecycleAdapterFactory, getName, setEntryPointResolvers, setEntryPointResolverSet, setExceptionListener, setLifecycleAdapterFactory, setMuleContext, setName, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### poolingProfile

    protected PoolingProfile poolingProfile

  the pooling configuration used when initialising the service described by this descriptor.

### queueProfile

    protected QueueProfile queueProfile

  The queuing profile for events received for this service

Constructor Detail

### SedaModel

    public SedaModel()

Method Detail

### getType

    public String getType()

  Returns the model type name. This is a friendly identifier that is used to look up the SPI class for the model

  Returns:
    the model type

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Overrides:
    `initialise` in class `AbstractModel`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### getQueueTimeout

    public int getQueueTimeout()

### setQueueTimeout

    public void setQueueTimeout(int queueTimeout)

### getPoolingProfile

    public PoolingProfile getPoolingProfile()

### setPoolingProfile

    public void setPoolingProfile(PoolingProfile poolingProfile)

### getQueueProfile

    public QueueProfile getQueueProfile()

### setQueueProfile

    public void setQueueProfile(QueueProfile queueProfile)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.